
@mixin transform($property) {
  -webkit-transform: $property;
  -ms-transform: $property;
  transform: $property;
}
// Used to wrap content inside a nice box.

.read-box {
	background-color: var(--bg-content-color);
	max-width: var(--content-width);
	margin: 0 auto;
	transition: background-color .6s;
	padding: var(--space);
  border-radius: var(--radius);
  box-shadow: 1px 1px 5px 0 rgba(0,0,0,.02), 1px 1px 15px 0 rgba(0,0,0,.03);
  transition: transform .3s, background-color .3s, box-shadow .6s;
}



.content-box {
	background-color: var(--bg-content-color);
	max-width: 100%;
	margin: 0 auto;
	transition: background-color .6s;
	padding: var(--space);
  border-radius: var(--radius);
  box-shadow: 1px 1px 5px 0 rgba(0,0,0,.02), 1px 1px 15px 0 rgba(0,0,0,.03);
  transition: transform .3s, background-color .3s, box-shadow .6s;
}

.content-box.hint{
  background-color:var(--bg-hint-color)!important;
  font-size:0.8em;
  width:50%;
  min-width:250px;
  float:right;
}


.weekgrid{
width: 100%;
display: grid;
grid-template-columns: repeat(3, 1fr);
  grid-gap: 10px;

}

.weeksection.hint{
  grid-column: 3 / 3;
}

.weekview h3{
padding: 10px;
width: auto;
//display: inline-block;
margin: 0;
color: var(--title-color);
font-weight: normal;
font-size:20px;
border-bottom: 1px solid var(--title-color);
margin-bottom: 20px;
}


@media screen and (max-width: 850px) {

	.weekgrid{
	grid-template-columns: repeat(1, 1fr);
	  grid-gap: 10px;
	}

  .weeksection.hint{
  grid-column: auto;
}

  #post_nav{
  	position: absolute;
  	top:0;
  	right: 0;
  	padding: 20px;
  }
}
